Package org.eclipse.gef.mvc.fx.parts

# Class DefaultSnappingFeedbackPartFactory

java.lang.Object
org.eclipse.gef.mvc.fx.parts.DefaultSnappingFeedbackPartFactory

All Implemented Interfaces:
  `IFeedbackPartFactory`

public class DefaultSnappingFeedbackPartFactory extends Object implements IFeedbackPartFactory
The `DefaultSnappingFeedbackPartFactory` is an `IFeedbackPartFactory` that is used by the `SnappingBehavior` to generate `SnappingFeedbackPart`s for the `SnappingModel.SnappingLocation`s that are stored in the `SnappingModel`.

## Constructor Summary

Constructors
Constructor
Description
`DefaultSnappingFeedbackPartFactory()`

## Method Summary

Modifier and Type
Method
Description
`List<IFeedbackPart<? extends javafx.scene.Node>>`
`createFeedbackParts(List<? extends IVisualPart<? extends javafx.scene.Node>> targets, Map<Object,Object> contextMap)`
Creates specific `IFeedbackPart`s for the given targets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultSnappingFeedbackPartFactory

public DefaultSnappingFeedbackPartFactory()

## Method Details

### createFeedbackParts

public List<IFeedbackPart<? extends javafx.scene.Node>> createFeedbackParts(List<? extends IVisualPart<? extends javafx.scene.Node>> targets, Map<Object,Object> contextMap)
Description copied from interface: `IFeedbackPartFactory`
Creates specific `IFeedbackPart`s for the given targets. As additional information might be needed by the `IFeedbackPartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Specified by:
  `createFeedbackParts` in interface `IFeedbackPartFactory`
Parameters:
  `targets` - The target `IVisualPart`s for which feedback is to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IFeedbackPart`s that are to be used to indicate feedback for the given targets.